Changing search query quickly can cause mismatched results
Closed, ResolvedPublic

Description

Description

Steps to reproduce

  1. Search for "dog". Ensure the results look proper.
  2. Update the query to "doge" and press backspace as quickly as possible. Note: if you can't repro, try again with an unused letter.

Expected results

Results for "dog" are shown.

Actual results

Results for the previous query, "doge", are shown.

Environments observed

App version: a5464b473e6d82e635552c6ff2f40b0ba75b847a
Android OS versions: API 15
Device model: AOSP Nexus One emulator
Device language: English

Niedzielski updated the task description. (Show Details)
Niedzielski raised the priority of this task from to Normal.
Niedzielski added a subscriber: Niedzielski.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 9 2015, 2:04 AM

Change 257627 had a related patch set uploaded (by Dbrant):
Prevent mismatched search results when typing quickly.

https://gerrit.wikimedia.org/r/257627

Dbrant claimed this task.Dec 8 2015, 4:29 PM
Dbrant set Security to None.
Dbrant moved this task from To Do to Code Review on the Mobile-App-Android-Sprint-72-Hafnium board.

Change 257627 merged by jenkins-bot:
Prevent mismatched search results when typing quickly.

https://gerrit.wikimedia.org/r/257627

2.1.136-alpha-2015-12-11 on Nexus 5 (Android 5.1.1) - no problem with the scenario described in the ticket.

The submitted search is very responsive(and smooth) to a user corrections.

Dbrant closed this task as Resolved.Jan 4 2016, 5:44 PM